> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom playlist

> This endpoint allows you to get a user's list of custom playlists.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /account/{{account_id}}/lists
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /account/{{account_id}}/lists:
    parameters:
      - name: account_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Account
      summary: List custom playlist
      description: This endpoint allows you to get a user's list of custom playlists.
      operationId: listCustomPlaylist
      parameters:
        - name: page
          in: query
          schema:
            type: string
            example: '1'
          description: what page the query belongs
        - name: session_id
          in: query
          schema:
            type: string
            example: string
          description: filter by the user session ID
      responses:
        '200':
          description: fetch custom playlists
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Tue, 10 Dec 2024 15:13:22 GMT
            ETag:
              schema:
                type: string
                example: W/"eca656d0dd3faf430dd7d72b007e3784"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 b471d3775e81a9be536b52b99f39452a.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: qaX-9YsI7pAr1LAfM67KhnDX0MLrrHlum7rxSBkMnpoaOmAvLA9-Ow==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: a42ff5e80495da1063c5d492cfa68034
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        description:
                          type: string
                          example: All adventure related movies
                        favorite_count:
                          type: number
                          example: 0
                        id:
                          type: number
                          example: 8500719
                        iso_639_1:
                          type: string
                          example: en
                        item_count:
                          type: number
                          example: 1
                        list_type:
                          type: string
                          example: movie
                        name:
                          type: string
                          example: Adventures
                        poster_path:
                          nullable: true
                          example: null
                    example:
                      - description: All adventure related movies
                        favorite_count: 0
                        id: 8500719
                        iso_639_1: en
                        item_count: 1
                        list_type: movie
                        name: Adventures
                        poster_path: null
                  total_pages:
                    type: number
                    example: 1
                  total_results:
                    type: number
                    example: 1
              examples:
                fetch custom playlists:
                  value:
                    page: 1
                    results:
                      - description: All adventure related movies
                        favorite_count: 0
                        id: 8500719
                        iso_639_1: en
                        item_count: 1
                        list_type: movie
                        name: Adventures
                        poster_path: null
                    total_pages: 1
                    total_results: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````